# $Revision: 1.15 $, $Date: 2005/09/06 20:29:57 $
Summary:	Mail application for GNUstep
Summary(pl):	Aplikacja pocztowa dla rodowiska GNUstep
Name:		GNUMail
Version:	1.1.2
%define cvs 20040729
Release:	3.%{cvs}.4
License:	GPL
Group:		X11/Applications
Source0:	%{name}-cvs-%{cvs}.tar.gz
# Source0-md5:	a20eded4368ce4363e67aac4540ac8d8
Patch0:	%{name}-pass-arguments.patch
URL:		http://www.collaboration-world.com/gnumail/
BuildRequires:	Pantomime-devel >= 1.1.2-4
BuildRequires:	gnustep-gui-devel >= 0.9.1
BuildRequires:	Addresses-devel >= 0.4.6
Requires:	Pantomime >= 1.1.2-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         _prefix         /usr/%{_lib}/GNUstep

%define		libcombo	gnu-gnu-gnu
%define		gsos		linux-gnu
%ifarch %{ix86}
%define		gscpu		ix86
%else
# also s/alpha.*/alpha/, but we use only "alpha" arch for now
%define		gscpu		%(echo %{_target_cpu} | sed -e 's/amd64/x86_64/;s/ppc/powerpc/')
%endif

%description
GNUMail.app is a fully featured mail application. It offers the
following features:
- Hierarchical mailboxes support (Local or IMAP)
- Multiple POP3 and IMAP accounts support
- Multiple delivery agents (SMTP or local mailer)
- Full MIME support
- Filters support
- Address Book with groups support
- and more...

%description -l pl
GNUMail.app to w peni funkcjonalna aplikacja pocztowa. Oferuje
nastpujce moliwoci:
- obsug hierarchicznych skrzynek (lokalnych lub IMAP)
- obsug wielu kont POP3 i IMAP
- wiele sposobw dorczania (SMTP lub program lokalny)
- pen obsug MIME
- obsug filtrw
- ksik adresow z obsug grup
- i inne...

%prep
%setup -q -n %{name}
%patch0 -p1

%build
. %{_prefix}/System/Library/Makefiles/GNUstep.sh
%{__make} \
	OPTFLAG="%{rpmcflags}" \
	messages=yes

%install
rm -rf $RPM_BUILD_ROOT
. %{_prefix}/System/Library/Makefiles/GNUstep.sh

%{__make} install \
	GNUSTEP_INSTALLATION_DIR=$RPM_BUILD_ROOT%{_prefix}/System

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog docs/{PREFERENCES,README,TODO,WHOIS}

%dir %{_prefix}/System/Applications/GNUMail.app
%attr(755,root,root) %{_prefix}/System/Applications/GNUMail.app/GNUMail
%dir %{_prefix}/System/Applications/GNUMail.app/Resources
%{_prefix}/System/Applications/GNUMail.app/Resources/*.desktop
%{_prefix}/System/Applications/GNUMail.app/Resources/*.plist
%{_prefix}/System/Applications/GNUMail.app/Resources/*.tiff
%{_prefix}/System/Applications/GNUMail.app/Resources/Welcome
%{_prefix}/System/Applications/GNUMail.app/Resources/English.lproj
%lang(cs) %{_prefix}/System/Applications/GNUMail.app/Resources/Czech.lproj
%lang(fr) %{_prefix}/System/Applications/GNUMail.app/Resources/French.lproj
%lang(de) %{_prefix}/System/Applications/GNUMail.app/Resources/German.lproj
%lang(es) %{_prefix}/System/Applications/GNUMail.app/Resources/Spanish.lproj
%lang(sv) %{_prefix}/System/Applications/GNUMail.app/Resources/Swedish.lproj

%dir %{_prefix}/System/Applications/GNUMail.app/%{gscpu}
%dir %{_prefix}/System/Applications/GNUMail.app/%{gscpu}/%{gsos}
%dir %{_prefix}/System/Applications/GNUMail.app/%{gscpu}/%{gsos}/%{libcombo}
%attr(755,root,root) %{_prefix}/System/Applications/GNUMail.app/%{gscpu}/%{gsos}/%{libcombo}/GNUMail
%{_prefix}/System/Applications/GNUMail.app/%{gscpu}/%{gsos}/%{libcombo}/*.openapp

%dir %{_prefix}/System/Library/GNUMail
%dir %{_prefix}/System/Library/GNUMail/*.prefs
%{_prefix}/System/Library/GNUMail/*.prefs/Resources
%attr(755,root,root) %{_prefix}/System/Library/GNUMail/*.prefs/%{gscpu}
%dir %{_prefix}/System/Library/GNUMail/Import.bundle
%{_prefix}/System/Library/GNUMail/Import.bundle/Resources
%attr(755,root,root) %{_prefix}/System/Library/GNUMail/Import.bundle/%{gscpu}

%{_prefix}/System/Library/Libraries/%{gscpu}/%{gsos}/%{libcombo}/lib*.so.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: GNUMail.spec,v $
Revision 1.15  2005/09/06 20:29:57  arekm
- rel .4

Revision 1.14  2004/11/11 01:11:17  havner
- rel 3

Revision 1.13  2004/11/07 21:47:37  havner
- [mass commit] rel up for rebuild

Revision 1.12  2004/08/21 03:42:19  aredridel
- more strict buildrequires

Revision 1.11  2004/08/20 14:55:54  aredridel
- add pass arguments patch

Revision 1.10  2004/07/29 18:22:05  aredridel
- up to CVS from 2004-07-29

Revision 1.9  2004/07/04 21:04:34  qboosh
- added Addresses patch, fixed build on amd64; release 2

Revision 1.8  2003/12/27 02:15:31  aredridel
- up to 1.2.2
- NFU, depends on Addresses >= 0.4

Revision 1.7  2003/10/12 12:20:00  qboosh
- it doesn't require gnustep-extensions

Revision 1.6  2003/08/28 19:03:22  qboosh
- added Czech locale

Revision 1.5  2003/08/27 19:38:41  qboosh
- requires Pantomime >= 1.1.0

Revision 1.4  2003/08/20 22:06:55  aredridel
- sane URLs, thanks to the author.

Revision 1.3  2003/08/20 21:32:27  aredridel
- updated to 1.1.0
- source URLs are ugly, but they work with builder and rpm.

Revision 1.2  2003/07/29 09:00:54  qboosh
- URL, versions

Revision 1.1  2003/07/28 22:05:23  qboosh
- new
